<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="utf-8" />
    <title>Atelier #2 - Les sysèmes d'exploitation</title>
    <meta name="description" content="" />
    <meta name="robots" content="noindex">
    <meta name="author" content="Joris Navarro" />
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <link rel="stylesheet" href="../src/reveal.js/css/reveal.css" />
    <link rel="stylesheet" href="../src/reveal.js/css/theme/orange.css" id="theme" />
    <link rel="stylesheet" href="../src/reveal.js/lib/css/highlight/railscasts.css" />
    <!-- <link rel="stylesheet" href="../src/reveal.js/lib/css/highlight/github.css"> -->
    <link rel="stylesheet" href="../src/custom/style.css" />
    <script>
        document.write(
                '<link rel="stylesheet" href="../src/reveal.js/css/print/' +
                (window.location.search.match(/print-pdf/gi) ? "pdf" < /span> : "paper") +
                    '.css" type="text/css" media="print">'
                );
    </script>
    <!--[if lt IE 9]>
      <script src="../src/reveal.js/lib/js/html5shiv.js"></script>
    <![endif]-->

    <!-- Code steps start -->
    <link rel="stylesheet" href="../src/code-steps/prism-tomorrow.css" />
    <link rel="stylesheet" href="../src/code-steps/style.css" />
    <!-- Code steps end -->
</head>

<body>
    <div class="reveal">
        <div id="pagination"></div>
        <div class="slides">
            <section data-background-image="img/ptitsgenies.jpeg">
                <h1>Les P'tits génies</h1>
            </section>

            <section>
                <h2>Lvl 2 - Les systèmes d'exploitation</h2>
            </section>

            <section>
                <section>
                    <h3>Présente ton voisin</h3>
                </section>
                <section>
                    <ul>
                        <li>Par 2</li>
                        <li>échanger entre vous 5 minutes <br>
                            <ul>
                                <li>Age, école, chien, plat, activités, ...</li>
                            </ul>
                        </li>
                        <li>vous présenterez votre voisin aux autres petits génies</li>
                    </ul>
                </section>

                <section>
                    <h1>Merci</h1>
                </section>
            </section>

            <section>
                <section data-background-image="img/claudio-schwarz-z508Zk08HNU-unsplash.jpg">
                    <h2>Les Systèmes d'exploitation</h2>
                </section>

                <section>
                    <p class="strong" style="font-size: larger">
                        Ensemble de programmes qui dirige l'utilisation des ressources d'un ordinateur par des logiciels applicatifs
                    </p>
                    <small>Wikipedia</small>
                </section>

                <section data-background-image="img/os.PNG" data-background-position="center" data-background-size="contain"></section>

                <section data-background-image="img/os2.PNG" data-background-position="center" data-background-size="contain"></section>

                <section data-background-image="img/os3.PNG" data-background-position="center" data-background-size="contain"></section>

                <section>
                    <h2>BIOS vs UEFI</h2>
                    <ul>
                        <li><span class="highlight">BIOS</span> (Basic Input Output System): FW installé sur la carte mère</li>
                        <li><span class="highlight">MBR</span> (Master Boot Record): premier secteur physique d’un disque dur</li>
                    </ul>
                    <hr>
                    <ul>
                        <li><span class="highlight">UEFI</span> (Unified Extensible Firmware Interface): </li>
                        <li><span class="highlight">GPT</span> (GUID Partition Table): nouveau standard pour décrire la table de partitionnement</li>
                    </ul>
                </section>

                <section>
                    <h2>Tour du BIOS</h2>
                    <ul>
                        <li>Sécurité</li>
                        <li>Boot sequence</li>
                        <li>Hardware</li>
                        <li>Date</li>
                        <li>Overclocking</li>
                    </ul>
                </section>

                <section>
                    <h2>Master Boot Record</h2>
                    <p class="strong" style="font-size: larger">
                        le <span class="highlight">MBR</span> est le nom donné au premier secteur adressable d'un disque dur. Sa taille est de 512 octets. Le <span class="highlight">MBR</span> contient la table des partitions du disque dur.
                    </p>
                </section>
                <section data-background-image="img/mbr.png" data-background-position="center" data-background-size="contain"></section>

                <section>
                    <h2>UEFI</h2>
                    <p class="strong" style="font-size: larger">
                        <span class="highlight">UEFI</span> est le logiciel qui est stocké dans la mémoire flash des ordinateurs modernes.
                    </p>
                </section>

                <section>
                    <h2><a href="https://fr.wikipedia.org/wiki/GUID_Partition_Table#L'h%C3%A9ritage_du_MBR_(LBA_0)">GPT</a></h2>
                    <p><span class="highlight">Globally Unique Identifier Partition Table</span> est un standard pour décrire la table de partitionnement d'un disque dur.</p>
                </section>

                <section data-background-image="img/gpt.png" data-background-position="center" data-background-size="contain"></section>

                <section data-background-image="img/Legacy-BIOS-UEFI.jpg" data-background-position="center" data-background-size="contain"></section>


                <section>
                    <h2>Que trouve t'on dans un OS ?</h2>
                </section>

                <section>
                    <h4>
                        Ensemble de programmes qui dirige l'utilisation des ressources d'un ordinateur par des logiciels applicatifs
                    </h4>
                    <small class="caption">Wikipedia</small>
                </section>

                <section data-background-image="img/diag.gif" data-background-position="center" data-background-size="contain"></section>

                <section>
                    <ul>
                        <li>Accès aux périphériques</li>
                        <li class="fragment">Accès aux fichiers</li>
                        <li class="fragment">Accès aux ressources (allocation, concurences)</li>
                        <li class="fragment">Gestion des erreurs (matérielles ou logicielle)</li>
                        <li class="fragment">Monitoring</li>
                        <li class="fragment">Multitaches</li>
                        <li class="fragment">Gestion des processus</li>
                        <li class="fragment">Communication inter processus (mémoire, réseau)</li>
                    </ul>
                </section>
                <section>
                    <ul>
                        <li class="">Console de commandes</li>
                        <li class="fragment">Interface Homme Machine</li>
                        <li class="fragment">Droits et contrôles d'accès</li>
                        <li class="fragment">Utilitaires (assistants, anti-virus)</li>
                        <li class="fragment">Paramètrages et personnalisations</li>
                        <li class="fragment">API et SDK</li>
                        <li class="fragment">Stores</li>
                    </ul>
                </section>


                <section>
                    <h3>Quelques Systèmes d'Exploitation</h3>
                    <p>couramment rencontrés</p>
                </section>

                <section><img class="current-visible" src="img/interface-w10.png"></section>
                <section><img class="current-visible" src="img/interface-apple.png"></section>
                <section><img class="current-visible" src="img/ubuntu.png"></section>
                <section><img class="current-visible" src="img/android.jpg"></section>
                <section><img class="current-visible" src="img/ios.jpg"></section>
                <section><img class="current-visible" src="img/ipados.jpg"></section>
                <section><img class="current-visible" src="img/which-cars-have-android-auto-or-apple-carplay.jpg"></section>

                <section>
                    <h2>Et les autres</h2>
                    <p><a href="https://fr.wikipedia.org/wiki/Liste_des_syst%C3%A8mes_d%27exploitation">Liste wikipedia</a></p>
                </section>
            </section>

            <section>
                <section>
                    <h2>Windows par la pratique</h2>
                </section>

                <section>
                    <h2>Evolution des Windows</h2>
                </section>
                <section><img class="current-visible" src="img/windowsa.jpg">
                    <h2>1985</h2>
                </section>
                <section><img class="current-visible" src="img/windowsaa.jpg">
                    <h2>1987</h2>
                </section>
                <section><img class="current-visible" src="img/windowsaaa.jpg">
                    <h2>1992</h2>
                </section>
                <section><img class="current-visible" src="img/windows95.jpg">
                    <h2>1995</h2>
                </section>
                <section><img class="current-visible" src="img/windows98.jpg">
                    <h2>1998</h2>
                </section>
                <section><img class="current-visible" src="img/windowsme.jpg">
                    <h2>2000</h2>
                </section>
                <section><img class="current-visible" src="img/windowsxp.jpg">
                    <h2>2001</h2>
                </section>
                <section><img class="current-visible" src="img/windowsvista.jpg">
                    <h2>2007</h2>
                </section>
                <section><img class="current-visible" src="img/interface-win7.png">
                    <h2>2009</h2>
                </section>
                <section><img class="current-visible" src="img/interfaces-w8.png">
                    <h2>2012</h2>
                </section>
                <section><img class="current-visible" src="img/interface-w10.png">
                    <h2>2015</h2>
                </section>
                <section><img class="current-visible" src="img/interface-win11.jpg">
                    <h2>2021</h2>
                </section>

                <section>
                    <h3>Voyons Windows 10 ensemble</h3>
                    <ul>
                        <li class="fragment">La souris</li>
                        <li class="fragment">Le clavier</li>
                        <li class="fragment">Le l'écran</li>
                        <li class="fragment">Le bureau</li>
                        <li class="fragment">Le menu démarrer</li>
                        <li class="fragment">L'explorateur de fichiers (dossiers, fichiers, archives)</li>
                        <li class="fragment">Les applications installées & le store</li>

                    </ul>
                    <aside class="notes">
                        expliquer la différence dossiers/fichiers, propriétés, extensions, archives, la corbeille, le C:/, libérer de l'espace, deux écrans, alt/tab, verrouiller sa seesion
                    </aside>
                </section>

                <section>
                    <ul>
                        <li><span class="highlight">Ctrl + C</span> et <span class="highlight">Ctrl + V</span> : faire un copier-coller </li>
                        <li><span class="highlight">Alt + Tab</span> : naviguer entre les applications ouvertes</li>
                        <li><span class="highlight">Alt + F4</span> : ferme la fenêtre au premier plan</li>
                        <li><span class="highlight">Ctrl + Echap</span> : gestionnaire des tâches</li>
                        <li><span class="highlight">Windows + E</span> : ouvre l'explorateur de fichiers</li>
                        <br>
                        <li><span class="highlight">Windows + Tab</span> : ouvre le menu Task View</li>
                        <li><span class="highlight">Windows + Ctrl + D</span> : crée un nouveau bureau virtuel</li>
                        <li><span class="highlight">Windows + Ctrl + &rarr; ou &larr;</span> : naviguer entre les bureaux virtuels</li>
                        <li><span class="highlight">Windows + Ctrl + F4</span> : ferme le bureau virtuel actif</li>
                    </ul>
                </section>
                <section>
                    <ul>
                        <li><span class="highlight">Windows + &larr;, &rarr;, &uarr; ou &darr;</span> : redimensionne la fenêtre active dans un coin de l'écran ou un côté de l'écran</li>
                        <li><span class="highlight">Windows + R</span> : lance l'utilitaire Exécuter</li>
                        <li><span class="highlight">Windows + V</span> : affiche l'historique du presse papier</li>
                        <li><span class="highlight">Windows + T</span> : parcourir les applications de la barre des tâches</li>
                        <li><span class="highlight">Windows + A</span> : ouvre le centre des notifications</li>
                        <li><span class="highlight">Windows + I</span> : ouvre le menu des paramètres</li>
                        <li><span class="highlight">Windows + S</span> : accéder à Cortana en mode saisie</li>
                        <li><span class="highlight">Windows + L</span> : Verrouiller la session</li>
                        <li><span class="highlight">Windows + X</span> : ouvre le menu contextuel du menu démarrer</li>
                    </ul>
                </section>

                <section>
                    <h3>A vous de jouer</h3>
                    <h4>Identifier</h4>
                    <ul class="linone">
                        <li><input type="checkbox" id="cb0" /><label for="cb0">la version du système d'exploitation (winver)</label></li>
                        <li><input type="checkbox" id="cb1" /><label for="cb1">le menu Démarrer</label>
                        </li>
                        <li><input type="checkbox" id="cb2" /><label for="cb2">le menu Démarrer avancé (win)</label>
                        </li>
                        <li><input type="checkbox" id="cb3" /><label for="cb3">le nom de l'appareil</label>
                        </li>
                        <li><input type="checkbox" id="cb4" /><label for="cb4">la quantité de RAM</label>
                        </li>
                        <li><input type="checkbox" id="cb5" /><label for="cb5">le nom de la carte graphique et la version de son pilote</label>
                        </li>
                        <li><input type="checkbox" id="cb6" /><label for="cb6">Le menu contextuel</label>
                        </li>
                        <li><input type="checkbox" id="cb7" /><label for="cb7">la résolution de l'écran</label>
                        </li>
                    </ul>
                </section>
                <section>
                    <ul class="linone">
                        <li><input type="checkbox" id="cb00" /><label for="cb00">Le système est-il à jour ?</label></li>
                        <li><input type="checkbox" id="cb01" /><label for="cb01">le nombre de disques, leurs partitions et leur capacité</label></li>
                        <li><input type="checkbox" id="cb02" /><label for="cb02">l'espace disque disponible</label></li>
                        <li><input type="checkbox" id="cb03" /><label for="cb03">la dernière application installée</label></li>
                        <li><input type="checkbox" id="cb04" /><label for="cb04">voir les erreurs systèmes (évènements)</label></li>
                        <li><input type="checkbox" id="cb05" /><label for="cb05">le navigateur par défaut</label></li>
                        <li><input type="checkbox" id="cb06" /><label for="cb06">vérifier l'état du pare-feu</label></li>
                        <li><input type="checkbox" id="cb07" /><label for="cb07">la fenêtre de monitoring des resources</label></li>
                        <li><input type="checkbox" id="cb08" /><label for="cb08">le centre de notification (win)</label></li>
                        <li><input type="checkbox" id="cb09" /><label for="cb09">la valeur de "Ordinateur\HKEY_CURRENT_USER\Environment\Path" (registre)</label></li>
                    </ul>
                </section>
                <section>
                    <ul class="linone">
                        <li><input type="checkbox" id="cb10" /><label for="cb10">ouvrir l'application Bloc-notes</label></li>
                        <li><input type="checkbox" id="cb11" /><label for="cb11">executer msconfig, en faire le tour</label></li>
                        <li><input type="checkbox" id="cb12" /><label for="cb12">créer un utilsateur, sans droits d'admin</label></li>
                        <li><input type="checkbox" id="cb13" /><label for="cb13">mettre deux explorateur de fichiers côte à côte</label></li>
                        <li><input type="checkbox" id="cb14" /><label for="cb14">changer l'arrière plan</label></li>
                        <li><input type="checkbox" id="cb15" /><label for="cb15">mettre la barre des tâches sur la gauche</label></li>
                        <li><input type="checkbox" id="cb16" /><label for="cb16">masquer automatiquement la barre des tâches</label></li>
                        <li><input type="checkbox" id="cb17" /><label for="cb17">changer la taille du texte du système</label></li>
                        <li><input type="checkbox" id="cb18" /><label for="cb18">activer le narrateur</label></li>
                        <li><input type="checkbox" id="cb19" /><label for="cb19">Utiliser la loupe</label></li>
                    </ul>
                </section>
                <section>
                    <ul class="linone">
                        <li><input type="checkbox" id="cb20" /><label for="cb20">afficher la fenêtre des Emojis</label></li>
                        <li><input type="checkbox" id="cb21" /><label for="cb21">activer le contraste élever</label></li>
                        <li><input type="checkbox" id="cb22" /><label for="cb22">utiliser le clavier visuel</label></li>
                        <li><input type="checkbox" id="cb23" /><label for="cb23">Activer le GodMode.{ED7BA470-8E54-465E-825C-99712043E01C}</label></li>
                        <li><input type="checkbox" id="cb24" /><label for="cb24">Affiner la vitesse de la souris</label></li>
                        <li><input type="checkbox" id="cb25" /><label for="cb25">tuer une application</label></li>
                        <li><input type="checkbox" id="cb26" /><label for="cb26">créer un bureau virtuel et y aller</label></li>
                        <li><input type="checkbox" id="cb27" /><label for="cb27">Regarder les paramètre de l'assistant de concentration</label></li>
                        <li><input type="checkbox" id="cb28" /><label for="cb28">faire une copie d'écran</label></li>
                        <li><input type="checkbox" id="cb29" /><label for="cb29">l'imprimer dans un PDF</label></li>
                        <li><input type="checkbox" id="cb291" /><label for="cb291">activer l'historique du presse papier</label></li>
                    </ul>
                </section>
                <section>
                    <h3>Pour aller plus loin...</h3>
                    <p><a href="http://jean.16mb.com/info/win10/Windows_10_Pas_a_Pas_Pour_les_Nuls.pdf">Le livre win10 pour les nuls en téléchargement</a></p>
                    <img src="img/book.png" alt="book cover" />
                </section>
            </section>
            <section>
                <h3>
                    Des questions ?
                </h3>
            </section>
        </div>
    </div>

    <script src="../src/caniuse-embed.min.js"></script>
    <script src="../src/reveal.js/lib/js/head.min.js"></script>
    <script src="../src/reveal.js/js/reveal.js"></script>

    <!-- Code steps start -->
    <script src="../src/code-steps/prism.js" data-manual></script>
    <!-- Code steps end -->

    <script type="module" src="../src/custom/script-module.js"></script>
</body>

</html>